/*
 * Mp3Splt -- Utility for mp3/ogg splitting without decoding
 *
 * Copyright (c) 2002-2003 M. Trotta - <matteo.trotta@lib.unimib.it>
 *
 * http://mp3splt.sourceforge.net
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 * See the GNU Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 *
 * Tested on: Linux 2.4.18 #4 Fri May 31 01:25:31 PDT 2002 i686
 */

#ifndef _MP3SPLT_SPLT_H
#define _MP3SPLT_SPLT_H

#define MAXTRACKS 100
#define READBSIZE 1024
#define SSPLITLOG "mp3splt.log"
#define DEFAULTSILLEN 10
#define DEFAULTSILOFF 2
#define DEFAULTSHOT 25
#define DEFAULTMP3TS 0x80
#define DEFAULTOGGTS 0x80

#define MAXOLEN 10
#define OUTNUM  10

#ifdef _WIN32
#define DIRCHAR '\\'
#define NDIRCHAR '/'
#else
#define DIRCHAR '/'
#define NDIRCHAR '\\'
#endif

#define VARCHAR '@'

struct ssplit {
	float position;
	int len;
	struct ssplit *next;
};

float c_seconds (char *s);

int getword (FILE *in, off_t offset, int mode, unsigned long *headw);

off_t flength (FILE *in);

int split (unsigned char *filename, FILE *file_input, off_t begin, off_t end, int xing, unsigned char *xingbuffer, char *id3buffer);

void error (char *s);

char *strtoupper(char *s);

char *trackstring(int number);

void order_splitpoints(float *ssplitpoints, int len);

void ssplit_free (struct ssplit **silence_list);

int ssplit_new(struct ssplit **silence_list, float position, int len);

int parse_ssplit_file (struct ssplit **silence_list, FILE *log);

char **rmopt (char **argv, int offset, int tot);

int dot_pos(char *s, int zpad);

char *zero_pad (char *s, char *out, int zpad);

int parse_outformat(char *s, char format[][]);

unsigned char *cleanstring (unsigned char *s);

#endif

